use crate::db::TenebrousDbConn;
use crate::models::{characters::CharacterEntry, User};
use rocket::response::Redirect;
use rocket_contrib::templates::Template;

pub fn routes() -> Vec<rocket::Route> {
    routes![index, user_index]
}

#[get("/")]
fn user_index(user: User, conn: TenebrousDbConn) -> Template {
    use crate::routes::characters::TemplateContext;
    let characters = vec![
        CharacterEntry {
            id: 1,
            user_id: 1,
            name: "Bob".to_string(),
            viewable: true,
            data: Some(vec![]),
        },
        CharacterEntry {
            id: 2,
            user_id: 1,
            name: "Alice".to_string(),
            viewable: true,
            data: Some(vec![]),
        },
    ];

    let context = TemplateContext {
        characters: characters,
        user: user,
    };

    Template::render("index", &context)
}

#[get("/", rank = 2)]
fn index() -> Redirect {
    Redirect::to(uri!(super::auth::login_page))
}
